Loading...
Searching...
No Matches
rail_ff.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2004,2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_ANALOG_RAIL_FF_H
#define INCLUDED_ANALOG_RAIL_FF_H
#include <gnuradio/analog/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace analog {
/*!
* \brief clips input values to min, max
* \ingroup level_controllers_blk
*/
class ANALOG_API rail_ff : virtual public sync_block
{
public:
// gr::analog::rail_ff::sptr
typedef std::shared_ptr<rail_ff> sptr;
/*!
* Build a rail block.
*
* \param lo the low value to clip to.
* \param hi the high value to clip to.
*/
static sptr make(float lo, float hi);
virtual float lo() const = 0;
virtual float hi() const = 0;
virtual void set_lo(float lo) = 0;
virtual void set_hi(float hi) = 0;
};
} /* namespace analog */
} /* namespace gr */
#endif /* INCLUDED_ANALOG_RAIL_FF_H */
gr::analog::rail_ff
clips input values to min, max
Definition rail_ff.h:25
gr::analog::rail_ff::set_hi
virtual void set_hi(float hi)=0
gr::analog::rail_ff::sptr
std::shared_ptr< rail_ff > sptr
Definition rail_ff.h:28
gr::analog::rail_ff::make
static sptr make(float lo, float hi)
gr::analog::rail_ff::hi
virtual float hi() const =0
gr::analog::rail_ff::lo
virtual float lo() const =0
gr::analog::rail_ff::set_lo
virtual void set_lo(float lo)=0
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
ANALOG_API
#define ANALOG_API
Definition gr-analog/include/gnuradio/analog/api.h:18
gr::analog
Definition agc.h:19
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h